MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029611Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-03-22 11:272018-06-29 21:19
Reporternbv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029611: Modeling Algorithms - Misprint in the formula of Hessian computation in the file GeomLib_CheckCurveOnSurface.cxx
DescriptionHessian must be equal to the 2nd derivative (https://en.wikipedia.org/wiki/Hessian_matrix [^]). But currently, the 1st derivative is used.
Steps To ReproduceTest case is not required.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0074754)
git (administrator)
2018-03-22 11:31

Branch CR29611 has been created by nbv.

SHA-1: 9f3e278df1f5a4b03e024f3cfbf87ae101c9b5a3


Detailed log of new commits:

Author: nbv
Date: Thu Mar 22 09:53:48 2018 +0300

    0029611: Misprint in the formula of Hessian computation in the file GeomLib_CheckCurveOnSurface.cxx
    
    The formula of Hessian computation has been corrected
(0074755)
nbv (developer)
2018-03-22 11:35

Dear Mikhail,

Please review the current state of CR29611 branch.

Test results are here: http://jenkins-test-11.nnov.opencascade.com/view/CR0_CCS-master_NBV/ [^]

Please note:

1. http://occt-tests/CR0_CCS-master_NBV-Products/Debian70-64/diff-Debian70-64-image.html. [^] IMAGE sat read_parallel_1 A1 is known unstable (confirmed by INV). It is not a regression.

2. The branch CR0_CCS has been tested instead of CR29611. However, these two branches are equivalent.
(0074826)
msv (developer)
2018-03-23 15:02

Reviewed.
(0074920)
bugmaster (administrator)
2018-03-26 13:44

Combination -
OCCT branch : CR0_CCS SHA - 0a447abe3921bd6de017aeabfb6f050d6c17c913
Products branch : master SHA - 2f8f449f24696d59603ade3d9a086e77e8b9a304
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18152.39999999993 / 18107.97999999989 [+0.25%]
Products
Total CPU difference: 7434.15 / 7427.109999999995 [+0.09%]
Windows-64-VC10:
OCCT
Total CPU difference: 17695.021828898476 / 17842.61437499857 [-0.83%]
Products
Total CPU difference: 8137.901365699974 / 8148.135031299978 [-0.13%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0075335)
git (administrator)
2018-04-11 11:00

Branch CR29611 has been deleted by kgv.

SHA-1: 9f3e278df1f5a4b03e024f3cfbf87ae101c9b5a3

- Related Changesets
occt: master 8e45500e
Timestamp: 2018-03-22 06:53:48
Author: nbv
Committer: bugmaster
Details ] Diff ]
0029611: Misprint in the formula of Hessian computation in the file GeomLib_CheckCurveOnSurface.cxx

The formula of Hessian computation has been corrected
mod - src/GeomLib/GeomLib_CheckCurveOnSurface.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-22 11:27 nbv New Issue
2018-03-22 11:27 nbv Assigned To => msv
2018-03-22 11:31 git Note Added: 0074754
2018-03-22 11:35 nbv Note Added: 0074755
2018-03-22 11:35 nbv Status new => resolved
2018-03-22 23:25 kgv Summary Misprint in the formula of Hessian computation in the file GeomLib_CheckCurveOnSurface.cxx => Modeling Algorithms - Misprint in the formula of Hessian computation in the file GeomLib_CheckCurveOnSurface.cxx
2018-03-23 15:02 msv Note Added: 0074826
2018-03-23 15:02 msv Assigned To msv => bugmaster
2018-03-23 15:02 msv Status resolved => reviewed
2018-03-26 13:44 bugmaster Note Added: 0074920
2018-03-26 13:44 bugmaster Status reviewed => tested
2018-03-26 13:45 bugmaster Test case number => Not needed
2018-04-10 11:55 abv Target Version 7.4.0* => 7.3.0
2018-04-11 07:49 bugmaster Changeset attached => occt master 8e45500e
2018-04-11 07:49 bugmaster Status tested => verified
2018-04-11 07:49 bugmaster Resolution open => fixed
2018-04-11 11:00 git Note Added: 0075335
2018-06-29 21:14 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker